<?php

namespace App\Models\Equipment\Part;

use App\Entities\Equipment\Part\StorageEntity;

class StorageModel extends PartModel
{
    const TABLE = "storageinfo";
    const PK = "uid";
    const TITLE = "model";
    protected $table            = self::TABLE;
    protected $primaryKey       = self::PK;
    protected $returnType       = StorageEntity::class;
    protected $allowedFields = [
        "model",
        "status",
        "updated_at"
    ];
    public function __construct()
    {
        parent::__construct();
    }
    final public function getFormFieldRule(string $action, string $field): string
    {
        if (is_array($field)) {
            throw new \Exception(__FUNCTION__ . "=> field가 array 입니다.\n" . var_export($field, true));
        }
        switch ($field) {
            case "model":
                $rule = "required|trim|string";
                break;
            case "price":
                $rule  = "required|numeric";
                break;
            default:
                $rule = parent::getFormFieldRule($action, $field);
                break;
        }
        return $rule;
    }
}
